---
title: "Downloads a tax form"
url: "https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625/operations/downloadTaxForm-v3"
---

> Full API specification: https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625.md

# Downloads a tax form

`GET` `/document/v3/tax-forms/{id}/download`

Operation ID: `downloadTaxForm-v3`

Retrieves a tax form by its unique ID

## Path parameters

- `id` (string, required) - Form identifier for the taxform, either formId or documentId is mandatory

## Header parameters

- `Authorization` (string, required) - Authorization token
- `x-correlation-id` (string, optional) - UUID for the request

## Responses

- `200` - OK
- `400` - Bad Request
- `403` - Forbidden
- `404` - Not Found
- `500` - Internal Server Error

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Enterprise Documents API
  version: 3.0.0
servers:
  - url: https://dev.api.zinnia.io
    description: Dev Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /document/v3/tax-forms/{id}/download:
    get:
      security:
        - Auth0: []
      tags:
        - TaxForms V3
      summary: Downloads a tax form
      description: Retrieves a tax form by its unique ID
      operationId: downloadTaxForm-v3
      parameters:
        - name: Authorization
          required: true
          in: header
          example: Bearer <token>
          description: Authorization token
          schema:
            type: string
        - name: x-correlation-id
          in: header
          required: false
          description: UUID for the request
          example: 1760f822-dcbf-49fc-a623-a1998383f4b9
          schema:
            type: string
        - name: id
          in: path
          required: true
          description: Form identifier for the taxform, either formId or documentId is
            mandatory
          schema:
            type: string
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TaxformDownloadResponse"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid request. Please provide either alias or tax year
                  statusCode:
                    type: integer
                    example: 400
                  correlationId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426614174000
                  success:
                    type: string
                    example: "false"
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Access Denied to download tax form
                  statusCode:
                    type: integer
                    example: 403
                  correlationId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426614174000
                  success:
                    type: string
                    example: "false"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Document not found
                  statusCode:
                    type: integer
                    example: 404
                  correlationId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426614174000
                  success:
                    type: string
                    example: "false"
        "500":
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Error occurred while downloading metadata
                  statusCode:
                    type: integer
                    example: 500
                  correlationId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426614174000
                  success:
                    type: string
                    example: "false"
security:
  - Auth0: []
components:
  schemas:
    TaxformDownloadResponse:
      type: object
      properties:
        fileExtension:
          type: string
          description: File extension of the document
          example: pdf
        binaryData:
          type: string
          description: Binary data of the document
          example: wdvb2ekllkk189w0enjansle..
        correlationId:
          type: string
          description: Unique ID for correlating requests
          example: 1760f822-dcbf-49fc-a623-a1998383f4b9
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://api.zinnia.io
          client_id:
            - bGOIRPRq2ZnjCujDXC7ikwR5ez7VH5GZ
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
